// swad_imp.h: import courses and students from another web application using web services

#ifndef _SWAD_IMP
#define _SWAD_IMP
/*
    SWAD ("Sistema Web de Apoyo a la Docencia" in Spanish,
    "Web System for Teaching Support" in English),
    is a web platform developed at the University of Granada (Spain),
    and used to support university teaching.
    Copyright (C) 1999-2010 Antonio Caas-Vargas
    & Daniel J. Calandria-Hernndez,
    University of Granada (SPAIN) (acanas@ugr.es)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/****************************************************************************/
/********************************* Headers **********************************/
/****************************************************************************/

#include "swad_grp.h"

/****************************************************************************/
/***************************** Public constants *****************************/
/****************************************************************************/

/****************************************************************************/
/******************************* Public types *******************************/
/****************************************************************************/

/****************************************************************************/
/***************************** Public prototypes ****************************/
/****************************************************************************/

void Imp_GetImpUsrAndSession (void);
void Imp_ImportStdsFromAnImpGrp (long ImpGrpCod,unsigned NumGrpsInCurrentCrs,struct ListCodGrps *LstGrps,unsigned *NumUsrsRegistered);
void Imp_ListMyImpGrpsAndStdsNoForm (void);
void Imp_ListMyImpGrpsAndStdsForm (void);
void Imp_InsertImpSessionInDB (void);
bool Imp_GetImpSessionData (void);

#endif
