// swad_par.h: CGI parameters

#ifndef _SWAD_PAR
#define _SWAD_PAR
/*
    SWAD ("Sistema Web de Apoyo a la Docencia" in Spanish,
    "Web System for Teaching Support" in English),
    is a web platform developed at the University of Granada (Spain),
    and used to support university teaching.
    Copyright (C) 1999-2010 Antonio Caas-Vargas
    & Daniel J. Calandria-Hernndez,
    University of Granada (SPAIN) (acanas@ugr.es)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/****************************************************************************/
/********************************* Headers **********************************/
/****************************************************************************/

#include "swad_boo.h"

/****************************************************************************/
/************************** Public types and constants **********************/
/****************************************************************************/

typedef enum {Par_PARAM_SINGLE, Par_PARAM_MULTIPLE} tParamType; // Parameter is present only one time / multiple times

#define Par_SEPARATOR_PARAM_MULTIPLE 10

/****************************************************************************/
/***************************** Public prototypes ****************************/
/****************************************************************************/

bool Par_GetQueryString (void);
void Par_GetMainParameters (void);
char *Par_GetParam (tParamType ParamType, const char *NombreParam, char *ParamValue, size_t LongMax);

#endif
