// swad_the.h: themes (colour layouts)

#ifndef _SWAD_THE
#define _SWAD_THE
/*
    SWAD ("Sistema Web de Apoyo a la Docencia" in Spanish,
    "Web System for Teaching Support" in English),
    is a web platform developed at the University of Granada (Spain),
    and used to support university teaching.
    Copyright (C) 1999-2010 Antonio Caas-Vargas
    & Daniel J. Calandria-Hernndez,
    University of Granada (SPAIN) (acanas@ugr.es)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/****************************************************************************/
/********************************* Headers **********************************/
/****************************************************************************/

/****************************************************************************/
/***************************** Public constants *****************************/
/****************************************************************************/

#define The_NUM_THEMES 2

/****************************************************************************/
/******************************* Public types *******************************/
/****************************************************************************/

typedef enum {THEME_YELLOW=0,THEME_BLUE=1,THEME_UNKNOWN=2} tTheme;
#define THEME_DEFAULT THEME_BLUE

/****************************************************************************/
/***************************** Public prototypes ****************************/
/****************************************************************************/

void The_PutIconsToSelectTheme (void);
void The_ChangeTheme (void);
tTheme The_GetParamTheme (void);
tTheme The_GetThemeFromStr (const char *Str);

#endif
