// File: swad_web_service.h
//gsoap swad service name: swad
//gsoap swad service namespace: urn:swad
//gsoap swad service location: https://swad.ugr.es/

struct swad__loginBySessionOutput
  {
   int userCode;
   int userTypeCode;
   int degreeTypeCode;
   int degreeCode;
   int courseCode;
   char *wsKey;	// key used in subsequent calls to other web services
   char *userID;
   char *userSurname1;
   char *userSurname2;
   char *userFirstname;
   char *userTypeName;
   char *degreeTypeName;
   char *degreeName;
   char *courseName;
  };
struct swad__loginByUserPasswordOutput
  {
   int userCode;
   int userTypeCode;
   char *wsKey;	// key used in subsequent calls to other web services
   char *userID;
   char *userSurname1;
   char *userSurname2;
   char *userFirstname;
   char *userTypeName;
  };
struct swad__course
  {
   int courseCode;
   char *courseName;
  };
struct swad__coursesArray
  {
   struct swad__course *__ptr;	// pointer to array
   int __size; 			// number of elements pointed to 
  };
struct swad__getCoursesOutput
  {
   int numCourses;
   struct swad__coursesArray coursesArray;
  };
struct swad__user
  {
   int userCode;
   char *userID;
   char *userSurname1;
   char *userSurname2;
   char *userFirstname;
  };
struct swad__usersArray
  {
   struct swad__user *__ptr;	// pointer to array
   int __size; 			// number of elements pointed to 
  };
struct swad__getUsersOutput
  {
   int numUsers;
   struct swad__usersArray usersArray;
  };
int swad__loginBySession (char *sessionID,struct swad__loginBySessionOutput *loginBySessionOut);
int swad__loginByUserPassword (char *userID,char *userPassword,struct swad__loginByUserPasswordOutput *loginByUserPasswordOut);
int swad__getCourses (char *wsKey,struct swad__getCoursesOutput *getCoursesOut);
int swad__getUsers (char *wsKey,int courseCode,int groupCode,int userTypeCode,struct swad__getUsersOutput *getUsersOut);
